Bug 205097 - Xorg is not executing all options in xorg.conf
Xorg is not executing all options in xorg.conf
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-09-04 01:08 EDT by Chad
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-05 18:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg logfile (24.42 KB, text/plain)
2006-09-04 01:08 EDT, Chad
no flags Details

  None (edit)
Description Chad 2006-09-04 01:08:42 EDT
Description of problem:

When starting up the X server (during bootup) the display is full resolution
with the defined overscan in /etc/X11/xorg.conf but upon restarting the X server
(into the login manager GDM) the overscan line is ignored and a border appears.
 Upon restarting the X server (CTRL ALT BACKSPACE) the overscan entry is
executed and the full screen is used (the overscan works).

Version-Release number of selected component (if applicable):

Nvidia (closed) drivers - 1.0.8762

How reproducible:

Option "TVOverScan" "0.55"
in /etc/X11/xorg.conf just after:
Driver "nvidia"

Reboot system...

Steps to Reproduce:
1.  Have TV with overscan
2.  Connect video card to TV (via S-Video, component, or Composite)
3.  Add entry listed above, reboot.
Actual results:

Initial display correct, X server is restarted into GDM, overscan adjustment not

Expected results:

Overscan setting to apply every time X server is started/restarted.

Additional info:

Nvidia 6150 graphics chipset
(will attach Xorg log file for boot, it is not different before or after the X

Will also report to Nvidia, but only happens on Fedora (have tested on Core 5,
Gentoo, Ubuntu).
Comment 1 Chad 2006-09-04 01:08:42 EDT
Created attachment 135479 [details]
Xorg logfile
Comment 2 Adam Jackson 2006-09-05 18:03:41 EDT
The X server does not parse any of the options in the Driver section, those are
only used by the driver itself.  There is no way for us to fix nvidia's closed
source drivers.  That this only happens in Fedora is merely a coincidence.

Closing as CANTFIX since this is a problem with a closed source module.

Note You need to log in before you can comment on or make changes to this bug.